0

I've got a machine with Xubuntu 20.04.2, which I didn't use for a while and now it is about a year past its end-of-life. It is heavily configured, so I'd like to update/upgrade it to a recent Xubuntu. Is there a way to do this?

1 Answer 1

10

Ubuntu 20.04 LTS is still supported; so your system will still upgrade normally (you just won't get fixes to the Xubuntu/Xfce or universe packages guaranteed; but its still possible for a community member (MOTU) to SRU (stable release update) them until 2025-April).

Your system (once all upgrades are applied of course) will normally release-upgrade to the next LTS or Xubuntu 22.04 LTS; refer https://help.ubuntu.com/community/JammyUpgrades which has mention of Xubuntu too.

If you want to upgrade via re-install, I've written an answer here on this site which I use to re-install unsupported releases of Lubuntu to the next development release for QA-purposes; though even that isn't required yet for (x)Ubuntu 20.04 LTS.

4
  • FYI: I consider a Xubuntu 20.04 LTS system now as Ubuntu 20.04 LTS with Xfce... ie. you're still using a supported system, its just no longer supported by Xubuntu (same applies to other flavors)
    – guiverc
    Feb 25 at 0:14
  • Maybe helpful; or just for FYI. We only recently released Ubuntu 22.04.4 LTS which of course applies to all flavors. The testing checklist for Lubuntu can be found here (discourse.lubuntu.me/t/testing-checklist/4695/1) where you'll note there is a NA or not applicable for upgrades from prior LTS (ie. 20.04)... but as the author of that checklist I can say I'd expect it to work (20.04 to 22.04) for Lubuntu & Xubuntu too, we just don't support it thus haven't performed QA testing of it (Ubuntu CI still occurs)
    – guiverc
    Feb 25 at 0:18
  • I've not mentioned applying normal upgrades, ie. apt update to updates software lists, and apt upgrade to apply upgrades, OR depending on what additional sources you've added an apt full-upgrade may be required... but I'd expect those are known.
    – guiverc
    Feb 25 at 0:21
  • FYI: by "we just don't support it thus haven't performed QA testing of it" I was speaking as a member of a flavor team... Many of us are on a number of teams (thus have different hats; I used a link where i'm the poster for the Ubuntu News team), with a different Ubuntu team 'hat' on 20.04 is still supported; why I think of Xubuntu 20.04 LTS as being Ubuntu 20.04 LTS with Xfce.
    – guiverc
    Feb 25 at 0:26

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .